package esercizio4;

import java.util.Scanner;

public class Esercizio4 {

	public static final int DIM_LATO=3;
	public enum Simbolo {X,O};
	
	public static void stampaSchema(Simbolo[][] schema){
		for(int i=0;i<DIM_LATO;i++){
			for(int j=0;j<DIM_LATO;j++){
				if(schema[i][j]==null){
					System.out.print("[ ]\t");
				}
				else{
					System.out.print(schema[i][j]+"\t");
				}
			}
			System.out.println();
		}
	}
	
	public static void gioca(Simbolo simbolo, Simbolo[][] schema, int riga, int colonna){
		if(schema[riga][colonna]==null){
			schema[riga][colonna]=simbolo;
		}
	}
	
	public static boolean finePartita(Simbolo[][] schema){
		int numVuote=0;
		for(int i=0;i<DIM_LATO;i++){
			for(int j=0;j<DIM_LATO;j++){
				if(schema[i][j]==null){
					numVuote++;
				}
			}
		}
		return numVuote==0;
	}
	
	public static Simbolo controllaVincitore(Simbolo[][] schema){
		Simbolo vincitore = null;
		
		if(schema[0][0]==schema[1][1] && schema[0][0]==schema[2][2]){
			vincitore=schema[0][0];
		}
		else if(schema[0][2]==schema[1][1] && schema[0][2]==schema[2][0]){
			vincitore=schema[0][2];
		}
		
		for(int i=0;i<DIM_LATO && vincitore==null;i++){
			if(schema[i][0]==schema[i][1] && schema[i][0]==schema[i][2]){
				vincitore=schema[i][0];
			}
		}
		
		for(int i=0;i<DIM_LATO && vincitore==null;i++){
			if(schema[0][i]==schema[1][i] && schema[0][i]==schema[2][i]){
				vincitore=schema[0][i];
			}
		}
		
		return vincitore;
	}
	
	public static void main(String[] args) {
		Scanner tastiera = new Scanner(System.in);
		Simbolo[][] schema = new Simbolo[DIM_LATO][DIM_LATO];
		int turni=0;
		Simbolo giocatore;
		Simbolo vincitore=null;
		do{
			giocatore=Simbolo.values()[turni%2];
			
			System.out.println("Tocca al giocatore " +giocatore + " \nN.B. Inserire gli indici delle caselle del tris separati da uno spazio");
			int riga=tastiera.nextInt();
			int colonna=tastiera.nextInt();
			
			gioca(giocatore, schema, riga, colonna);
			stampaSchema(schema);
			turni++;
			vincitore=controllaVincitore(schema);
		}
		while(vincitore==null && !finePartita(schema));
		if(vincitore==null){
			System.out.println("Pareggio");
		}
		else{
			System.out.println("Ha vinto il giocatore "+ vincitore);
		}
		tastiera.close();
	}
	
}

